v2.3
APIs by Provider
>
Synergy
>
Retrieval
>
API Reference
>
v2.3
openapi: 3.0.0
x-jh:
publishing:
type: Integration
stage: prod
isPublic: true
group: Synergy
name: Document Retrieval
docURL: https://jkhy.github.io/synergyintegration
info:
version: v2.3
title: SynergyECM Retrieval
description: APIs for Query and Retrieval
contact:
email: SynergyOpenAPI@jackhenry.com
security:
- BearerAuth: []
paths:
'/v1/institutions/{InstitutionId}/environments/{InstitutionEnvironment}/products/{ProductId}/retrieval/v2.3/institutions-search':
post:
tags:
- Synergy Institution and CTI Queries
description: Retrieval Synergyinstitutions `Search`
operationId: retrieval-institutions-search
parameters:
- name: InstitutionId
in: path
description: The identification given to an entity / institution. The URL utilizes this Id for routing. A financial Institution might opt to utilize their routing and transit number
required: true
schema:
type: string
default: '000000000'
- name: InstitutionEnvironment
in: path
description: 'Institution Environment. This code identifies the processing environment for which the message is intended. Generally, the environment will be PRODuction, however, various other environments may exist. TESTing environments are common.'
required: true
schema:
type: string
default: PROD
- name: ProductId
in: path
description: 'Product Identifier. This code identifies the Product for which the message is intended. Generally, the Product Id will be in the form of Vendor-Product. However, various other Product Ids may exist. <br>Example:`jha-synergy`'
required: true
schema:
type: string
example: jha-synergy
- name: X-Request-ID
in: header
description: 'To support communications level correlation due to some responses only having header data, a round-trip identifier (GUID) will be sent on every call from the consumer and returned by the service provider (or intermediary) regardless of the final disposition of the request/message.'
required: true
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440000
- name: X-Correlation-ID
in: header
required: true
description: Correlation ID for communication-based multi-hop message correlation
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: The correlation identification as related to business functions and activities. Generally expected to be a GUID.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440000
- name: X-WorkflowCorrelationId
in: header
description: The correlation identification as related to workflow functions and activities. Generally expected to be a GUID.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440000
- name: X-AuthenticationUserCredential
in: header
description: 'Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT). <br>Format is `,type> <token>`. Type default is jwt. <br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>` <br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>`'
schema:
type: string
example: 'jwt:<GeneratedOidcJwt>'
- name: Offset
in: query
description: 'The service offset provided by the API provider <br>Example: `.../resource?Offset=value`'
schema:
type: string
default: '0'
- name: Count
in: query
description: 'The count of records requested <br>Example: `.../resource?Count=value`'
schema:
type: string
default: '0'
requestBody:
content:
application/json:
schema:
allOf:
- type: object
description: Module constraint. Used in other objects.
additionalProperties: false
properties:
Modules:
type: array
description: |-
One or more Synergy modules with which to constraint the results.
If no module is specified, all accessible modules are assumed.
items:
type: string
description: JSON schema for SynergyModules
x-enumFlags: true
x-enumNames:
- Document
- Report
- Check
- All
enum:
- Document
- Report
- Check
- All
- type: object
description: Request body schema for retrieval Synergy institution search.
additionalProperties: false
responses:
'200':
description: OK<hr> The HTTP 200 OK success status response code indicates that the request has succeeded. <br>A 200 response is cacheable by default.
headers:
X-Request-ID:
description: 'To support communications level correlation due to some responses only having header data, a round-trip identifier (GUID) will be sent on every call from the consumer and returned by the service provider (or intermediary) regardless of the final disposition of the request/message.'
required: true
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440000
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation
schema:
type: string
X-Messages:
description: Indicating messages/faults/errors returned
schema:
type: boolean
default: false
X-BusinessCorrelationId:
description: The correlation identification as related to business functions and activities. Generally expected to be a GUID.
schema:
type: string
X-WorkflowCorrelationId:
description: The correlation identification as related to workflow functions and activities. Generally expected to be a GUID.
schema:
type: string
content:
application/json:
schema:
allOf:
- type: object
description: Response body schema for retrieval institution search.
additionalProperties: false
required:
- SynergyInstitutionsNames
properties:
SynergyInstitutionsNames:
type: array
description: An array of Synergy institution names.
items:
type: string
maxLength: 20
Paging:
description: Paging information about the result set.
nullable: true
allOf:
- type: object
description: Paging information.
additionalProperties: false
properties:
NextOffset:
type: string
description: The next offset is the start position of the read pointer for pagination.
nullable: true
Results:
type: integer
description: The number of records sent for pagination.
format: int32
Total:
type: integer
description: The total number of records requested for pagination.
format: int32
nullable: true
- type: object
properties:
MessageStatus:
type: object
description: '`MessageStatus` is required/expected for non 2xx responses.'
properties:
ResponseCode:
description: The code related to message responses
type: string
Description:
description: The description related to the status code in a human readable format
type: string
MessageSource:
description: The source of the response to a message. This would represent the service provider that carry out the business service for the message
type: string
MessageSourceResponse:
type: object
additionalProperties: true
Details:
description: The array of details as related to a fault response code
type: array
items:
type: object
properties:
Code:
description: The code assigned to a providers statuses
type: string
Category:
description: 'ENUM[Error,Fault,Warning,Overridden] The category assigned to a providers message statuses'
type: string
Description:
description: The description related to the status code in a human readable format
type: string
Element:
description: When an Error or Fault occurs this optional element will contain the element which is causing the condition
type: string
ElementValue:
description: When an Error or Fault occurs this optional element will contain the value of the element which is causing the condition
type: string
Location:
description: This is typically the program that generated the status condition
type: string
Logs:
description: The array of logs as related to a response code
type: array
items:
type: object
properties:
Store:
description: The store that retains log entries
type: string
Key:
description: The key related to a log entry specific to the log store
type: string
'400':
description: Bad Request<hr> The server could not understand the request due to invalid syntax.
headers:
X-Request-ID:
description: 'To support communications level correlation due to some responses only having header data, a round-trip identifier (GUID) will be sent on every call from the consumer and returned by the service provider (or intermediary) regardless of the final disposition of the request/message.'
required: true
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440000
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation
schema:
type: string
X-Messages:
description: Indicating messages/faults/errors returned
schema:
type: boolean
default: false
X-BusinessCorrelationId:
description: The correlation identification as related to business functions and activities. Generally expected to be a GUID.
schema:
type: string
X-WorkflowCorrelationId:
description: The correlation identification as related to workflow functions and activities. Generally expected to be a GUID.
schema:
type: string
content:
application/json:
schema:
allOf:
- type: object
properties:
MessageStatus:
type: object
description: '`MessageStatus` is required/expected for non 2xx responses.'
properties:
ResponseCode:
description: The code related to message responses
type: string
Description:
description: The description related to the status code in a human readable format
type: string
MessageSource:
description: The source of the response to a message. This would represent the service provider that carry out the business service for the message
type: string
MessageSourceResponse:
type: object
additionalProperties: true
Details:
description: The array of details as related to a fault response code
type: array
items:
type: object
properties:
Code:
description: The code assigned to a providers statuses
type: string
Category:
description: 'ENUM[Error,Fault,Warning,Overridden] The category assigned to a providers message statuses'
type: string
Description:
description: The description related to the status code in a human readable format
type: string
Element:
description: When an Error or Fault occurs this optional element will contain the element which is causing the condition
type: string
ElementValue:
description: When an Error or Fault occurs this optional element will contain the value of the element which is causing the condition
type: string
Location:
description: This is typically the program that generated the status condition
type: string
Logs:
description: The array of logs as related to a response code
type: array
items:
type: object
properties:
Store:
description: The store that retains log entries
type: string
Key:
description: The key related to a log entry specific to the log store
type: string
'401':
description: 'Unauthorized<hr> Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.'
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'403':
description: 'Forbidden<hr> The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.'
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'404':
description: 'Not Found<hr> The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.'
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'413':
description: Request Too Large<hr> Request entity is larger than limits defined by server.
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'422':
description: Unprocessed<hr> The request was well-formed but was unable to be followed due to semantic errors.
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'500':
description: Generic Internal Error<hr> The server has encountered a situation it doesnt know how to handle.
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
default:
description: Generic Internal Error
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'/v1/institutions/{InstitutionId}/environments/{InstitutionEnvironment}/products/{ProductId}/retrieval/v2.3/cabinets-search':
post:
tags:
- Synergy Institution and CTI Queries
description: Retrieval Cabinets `Search`
operationId: retrieval-cabinets-search
parameters:
- name: InstitutionId
in: path
description: The identification given to an entity / institution. The URL utilizes this Id for routing. A financial Institution might opt to utilize their routing and transit number
required: true
schema:
type: string
default: '000000000'
- name: InstitutionEnvironment
in: path
description: 'Institution Environment. This code identifies the processing environment for which the message is intended. Generally, the environment will be PRODuction, however, various other environments may exist. TESTing environments are common.'
required: true
schema:
type: string
default: PROD
- name: ProductId
in: path
description: 'Product Identifier. This code identifies the Product for which the message is intended. Generally, the Product Id will be in the form of Vendor-Product. However, various other Product Ids may exist. <br>Example:`jha-synergy`'
required: true
schema:
type: string
example: jha-synergy
- name: X-Request-ID
in: header
description: 'To support communications level correlation due to some responses only having header data, a round-trip identifier (GUID) will be sent on every call from the consumer and returned by the service provider (or intermediary) regardless of the final disposition of the request/message.'
required: true
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440000
- name: X-Correlation-ID
in: header
required: true
description: Correlation ID for communication-based multi-hop message correlation
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: The correlation identification as related to business functions and activities. Generally expected to be a GUID.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440000
- name: X-WorkflowCorrelationId
in: header
description: The correlation identification as related to workflow functions and activities. Generally expected to be a GUID.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440000
- name: X-AuthenticationUserCredential
in: header
description: 'Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT). <br>Format is `,type> <token>`. Type default is jwt. <br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>` <br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>`'
schema:
type: string
example: 'jwt:<GeneratedOidcJwt>'
- name: Offset
in: query
description: 'The service offset provided by the API provider <br>Example: `.../resource?Offset=value`'
schema:
type: string
default: '0'
- name: Count
in: query
description: 'The count of records requested <br>Example: `.../resource?Count=value`'
schema:
type: string
default: '0'
requestBody:
content:
application/json:
schema:
allOf:
- allOf:
- type: object
description: Module constraint. Used in other objects.
additionalProperties: false
properties:
Modules:
type: array
description: |-
One or more Synergy modules with which to constraint the results.
If no module is specified, all accessible modules are assumed.
items:
type: string
description: JSON schema for SynergyModules
x-enumFlags: true
x-enumNames:
- Document
- Report
- Check
- All
enum:
- Document
- Report
- Check
- All
- type: object
description: Cabinet constraint. Used in other objects.
additionalProperties: false
properties:
SynergyInstitutionNames:
type: array
description: |-
One or more Synergy institutions with which to constrain the results.
If no institutions are provided, all accessible institutions are assumed.
maxItems: 100
example:
- '01'
- '02'
items:
type: string
maxLength: 20
- type: object
description: Request body schema for retrieval cabinet/application search.
additionalProperties: false
responses:
'200':
description: OK<hr> The HTTP 200 OK success status response code indicates that the request has succeeded. <br>A 200 response is cacheable by default.
headers:
X-Request-ID:
description: 'To support communications level correlation due to some responses only having header data, a round-trip identifier (GUID) will be sent on every call from the consumer and returned by the service provider (or intermediary) regardless of the final disposition of the request/message.'
required: true
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440000
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation
schema:
type: string
X-Messages:
description: Indicating messages/faults/errors returned
schema:
type: boolean
default: false
X-BusinessCorrelationId:
description: The correlation identification as related to business functions and activities. Generally expected to be a GUID.
schema:
type: string
X-WorkflowCorrelationId:
description: The correlation identification as related to workflow functions and activities. Generally expected to be a GUID.
schema:
type: string
content:
application/json:
schema:
allOf:
- type: object
description: Response body schema for retrieval cabinet/application search.
additionalProperties: false
required:
- CabinetNames
properties:
CabinetNames:
type: array
description: An array of Synergy cabinet/application names.
items:
type: string
maxLength: 80
Paging:
description: Paging information about the result set.
nullable: true
allOf:
- type: object
description: Paging information.
additionalProperties: false
properties:
NextOffset:
type: string
description: The next offset is the start position of the read pointer for pagination.
nullable: true
Results:
type: integer
description: The number of records sent for pagination.
format: int32
Total:
type: integer
description: The total number of records requested for pagination.
format: int32
nullable: true
- type: object
properties:
MessageStatus:
type: object
description: '`MessageStatus` is required/expected for non 2xx responses.'
properties:
ResponseCode:
description: The code related to message responses
type: string
Description:
description: The description related to the status code in a human readable format
type: string
MessageSource:
description: The source of the response to a message. This would represent the service provider that carry out the business service for the message
type: string
MessageSourceResponse:
type: object
additionalProperties: true
Details:
description: The array of details as related to a fault response code
type: array
items:
type: object
properties:
Code:
description: The code assigned to a providers statuses
type: string
Category:
description: 'ENUM[Error,Fault,Warning,Overridden] The category assigned to a providers message statuses'
type: string
Description:
description: The description related to the status code in a human readable format
type: string
Element:
description: When an Error or Fault occurs this optional element will contain the element which is causing the condition
type: string
ElementValue:
description: When an Error or Fault occurs this optional element will contain the value of the element which is causing the condition
type: string
Location:
description: This is typically the program that generated the status condition
type: string
Logs:
description: The array of logs as related to a response code
type: array
items:
type: object
properties:
Store:
description: The store that retains log entries
type: string
Key:
description: The key related to a log entry specific to the log store
type: string
'400':
description: Bad Request<hr> The server could not understand the request due to invalid syntax.
headers:
X-Request-ID:
description: 'To support communications level correlation due to some responses only having header data, a round-trip identifier (GUID) will be sent on every call from the consumer and returned by the service provider (or intermediary) regardless of the final disposition of the request/message.'
required: true
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440000
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation
schema:
type: string
X-Messages:
description: Indicating messages/faults/errors returned
schema:
type: boolean
default: false
X-BusinessCorrelationId:
description: The correlation identification as related to business functions and activities. Generally expected to be a GUID.
schema:
type: string
X-WorkflowCorrelationId:
description: The correlation identification as related to workflow functions and activities. Generally expected to be a GUID.
schema:
type: string
content:
application/json:
schema:
allOf:
- type: object
properties:
MessageStatus:
type: object
description: '`MessageStatus` is required/expected for non 2xx responses.'
properties:
ResponseCode:
description: The code related to message responses
type: string
Description:
description: The description related to the status code in a human readable format
type: string
MessageSource:
description: The source of the response to a message. This would represent the service provider that carry out the business service for the message
type: string
MessageSourceResponse:
type: object
additionalProperties: true
Details:
description: The array of details as related to a fault response code
type: array
items:
type: object
properties:
Code:
description: The code assigned to a providers statuses
type: string
Category:
description: 'ENUM[Error,Fault,Warning,Overridden] The category assigned to a providers message statuses'
type: string
Description:
description: The description related to the status code in a human readable format
type: string
Element:
description: When an Error or Fault occurs this optional element will contain the element which is causing the condition
type: string
ElementValue:
description: When an Error or Fault occurs this optional element will contain the value of the element which is causing the condition
type: string
Location:
description: This is typically the program that generated the status condition
type: string
Logs:
description: The array of logs as related to a response code
type: array
items:
type: object
properties:
Store:
description: The store that retains log entries
type: string
Key:
description: The key related to a log entry specific to the log store
type: string
'401':
description: 'Unauthorized<hr> Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.'
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'403':
description: 'Forbidden<hr> The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.'
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'404':
description: 'Not Found<hr> The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.'
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'413':
description: Request Too Large<hr> Request entity is larger than limits defined by server.
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'422':
description: Unprocessed<hr> The request was well-formed but was unable to be followed due to semantic errors.
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'500':
description: Generic Internal Error<hr> The server has encountered a situation it doesnt know how to handle.
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
default:
description: Generic Internal Error
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'/v1/institutions/{InstitutionId}/environments/{InstitutionEnvironment}/products/{ProductId}/retrieval/v2.3/types-search':
post:
tags:
- Synergy Institution and CTI Queries
description: Retrieval Types `Search`
operationId: retrieval-types-search
parameters:
- name: InstitutionId
in: path
description: The identification given to an entity / institution. The URL utilizes this Id for routing. A financial Institution might opt to utilize their routing and transit number
required: true
schema:
type: string
default: '000000000'
- name: InstitutionEnvironment
in: path
description: 'Institution Environment. This code identifies the processing environment for which the message is intended. Generally, the environment will be PRODuction, however, various other environments may exist. TESTing environments are common.'
required: true
schema:
type: string
default: PROD
- name: ProductId
in: path
description: 'Product Identifier. This code identifies the Product for which the message is intended. Generally, the Product Id will be in the form of Vendor-Product. However, various other Product Ids may exist. <br>Example:`jha-synergy`'
required: true
schema:
type: string
example: jha-synergy
- name: X-Request-ID
in: header
description: 'To support communications level correlation due to some responses only having header data, a round-trip identifier (GUID) will be sent on every call from the consumer and returned by the service provider (or intermediary) regardless of the final disposition of the request/message.'
required: true
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440000
- name: X-Correlation-ID
in: header
required: true
description: Correlation ID for communication-based multi-hop message correlation
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: The correlation identification as related to business functions and activities. Generally expected to be a GUID.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440000
- name: X-WorkflowCorrelationId
in: header
description: The correlation identification as related to workflow functions and activities. Generally expected to be a GUID.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440000
- name: X-AuthenticationUserCredential
in: header
description: 'Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT). <br>Format is `,type> <token>`. Type default is jwt. <br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>` <br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>`'
schema:
type: string
example: 'jwt:<GeneratedOidcJwt>'
- name: Offset
in: query
description: 'The service offset provided by the API provider <br>Example: `.../resource?Offset=value`'
schema:
type: string
default: '0'
- name: Count
in: query
description: 'The count of records requested <br>Example: `.../resource?Count=value`'
schema:
type: string
default: '0'
requestBody:
content:
application/json:
schema:
allOf:
- allOf:
- allOf:
- type: object
description: Module constraint. Used in other objects.
additionalProperties: false
properties:
Modules:
type: array
description: |-
One or more Synergy modules with which to constraint the results.
If no module is specified, all accessible modules are assumed.
items:
type: string
description: JSON schema for SynergyModules
x-enumFlags: true
x-enumNames:
- Document
- Report
- Check
- All
enum:
- Document
- Report
- Check
- All
- type: object
description: Cabinet constraint. Used in other objects.
additionalProperties: false
properties:
SynergyInstitutionNames:
type: array
description: |-
One or more Synergy institutions with which to constrain the results.
If no institutions are provided, all accessible institutions are assumed.
maxItems: 100
example:
- '01'
- '02'
items:
type: string
maxLength: 20
- type: object
description: Type constraint. Used in other objects.
additionalProperties: false
properties:
CabinetNames:
type: array
description: |-
One or more Synergy cabinets with which to constrain the results.
If no cabinets are provided, all accessible cabinets are assumed.
For the `Report` module, this array can also contain application names.
maxItems: 100
example:
- TESTCAB
- TESTCAB 2
items:
type: string
maxLength: 80
- type: object
description: Request body schema for retrieval type/report search.
additionalProperties: false
responses:
'200':
description: OK<hr> The HTTP 200 OK success status response code indicates that the request has succeeded. <br>A 200 response is cacheable by default.
headers:
X-Request-ID:
description: 'To support communications level correlation due to some responses only having header data, a round-trip identifier (GUID) will be sent on every call from the consumer and returned by the service provider (or intermediary) regardless of the final disposition of the request/message.'
required: true
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440000
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation
schema:
type: string
X-Messages:
description: Indicating messages/faults/errors returned
schema:
type: boolean
default: false
X-BusinessCorrelationId:
description: The correlation identification as related to business functions and activities. Generally expected to be a GUID.
schema:
type: string
X-WorkflowCorrelationId:
description: The correlation identification as related to workflow functions and activities. Generally expected to be a GUID.
schema:
type: string
content:
application/json:
schema:
allOf:
- type: object
description: Response body schema for retrieval type/report search.
additionalProperties: false
required:
- TypeNames
properties:
TypeNames:
type: array
description: An array of Synergy type/report names.
items:
type: string
maxLength: 80
Paging:
description: Paging information about the result set.
nullable: true
allOf:
- type: object
description: Paging information.
additionalProperties: false
properties:
NextOffset:
type: string
description: The next offset is the start position of the read pointer for pagination.
nullable: true
Results:
type: integer
description: The number of records sent for pagination.
format: int32
Total:
type: integer
description: The total number of records requested for pagination.
format: int32
nullable: true
- type: object
properties:
MessageStatus:
type: object
description: '`MessageStatus` is required/expected for non 2xx responses.'
properties:
ResponseCode:
description: The code related to message responses
type: string
Description:
description: The description related to the status code in a human readable format
type: string
MessageSource:
description: The source of the response to a message. This would represent the service provider that carry out the business service for the message
type: string
MessageSourceResponse:
type: object
additionalProperties: true
Details:
description: The array of details as related to a fault response code
type: array
items:
type: object
properties:
Code:
description: The code assigned to a providers statuses
type: string
Category:
description: 'ENUM[Error,Fault,Warning,Overridden] The category assigned to a providers message statuses'
type: string
Description:
description: The description related to the status code in a human readable format
type: string
Element:
description: When an Error or Fault occurs this optional element will contain the element which is causing the condition
type: string
ElementValue:
description: When an Error or Fault occurs this optional element will contain the value of the element which is causing the condition
type: string
Location:
description: This is typically the program that generated the status condition
type: string
Logs:
description: The array of logs as related to a response code
type: array
items:
type: object
properties:
Store:
description: The store that retains log entries
type: string
Key:
description: The key related to a log entry specific to the log store
type: string
'400':
description: Bad Request<hr> The server could not understand the request due to invalid syntax.
headers:
X-Request-ID:
description: 'To support communications level correlation due to some responses only having header data, a round-trip identifier (GUID) will be sent on every call from the consumer and returned by the service provider (or intermediary) regardless of the final disposition of the request/message.'
required: true
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440000
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation
schema:
type: string
X-Messages:
description: Indicating messages/faults/errors returned
schema:
type: boolean
default: false
X-BusinessCorrelationId:
description: The correlation identification as related to business functions and activities. Generally expected to be a GUID.
schema:
type: string
X-WorkflowCorrelationId:
description: The correlation identification as related to workflow functions and activities. Generally expected to be a GUID.
schema:
type: string
content:
application/json:
schema:
allOf:
- type: object
properties:
MessageStatus:
type: object
description: '`MessageStatus` is required/expected for non 2xx responses.'
properties:
ResponseCode:
description: The code related to message responses
type: string
Description:
description: The description related to the status code in a human readable format
type: string
MessageSource:
description: The source of the response to a message. This would represent the service provider that carry out the business service for the message
type: string
MessageSourceResponse:
type: object
additionalProperties: true
Details:
description: The array of details as related to a fault response code
type: array
items:
type: object
properties:
Code:
description: The code assigned to a providers statuses
type: string
Category:
description: 'ENUM[Error,Fault,Warning,Overridden] The category assigned to a providers message statuses'
type: string
Description:
description: The description related to the status code in a human readable format
type: string
Element:
description: When an Error or Fault occurs this optional element will contain the element which is causing the condition
type: string
ElementValue:
description: When an Error or Fault occurs this optional element will contain the value of the element which is causing the condition
type: string
Location:
description: This is typically the program that generated the status condition
type: string
Logs:
description: The array of logs as related to a response code
type: array
items:
type: object
properties:
Store:
description: The store that retains log entries
type: string
Key:
description: The key related to a log entry specific to the log store
type: string
'401':
description: 'Unauthorized<hr> Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.'
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'403':
description: 'Forbidden<hr> The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.'
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'404':
description: 'Not Found<hr> The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.'
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'413':
description: Request Too Large<hr> Request entity is larger than limits defined by server.
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'422':
description: Unprocessed<hr> The request was well-formed but was unable to be followed due to semantic errors.
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'500':
description: Generic Internal Error<hr> The server has encountered a situation it doesnt know how to handle.
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
default:
description: Generic Internal Error
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'/v1/institutions/{InstitutionId}/environments/{InstitutionEnvironment}/products/{ProductId}/retrieval/v2.3/indexes-search':
post:
tags:
- Synergy Institution and CTI Queries
description: Retrieval Indexes `Search`
operationId: retrieval-indexes-search
parameters:
- name: InstitutionId
in: path
description: The identification given to an entity / institution. The URL utilizes this Id for routing. A financial Institution might opt to utilize their routing and transit number
required: true
schema:
type: string
default: '000000000'
- name: InstitutionEnvironment
in: path
description: 'Institution Environment. This code identifies the processing environment for which the message is intended. Generally, the environment will be PRODuction, however, various other environments may exist. TESTing environments are common.'
required: true
schema:
type: string
default: PROD
- name: ProductId
in: path
description: 'Product Identifier. This code identifies the Product for which the message is intended. Generally, the Product Id will be in the form of Vendor-Product. However, various other Product Ids may exist. <br>Example:`jha-synergy`'
required: true
schema:
type: string
example: jha-synergy
- name: X-Request-ID
in: header
description: 'To support communications level correlation due to some responses only having header data, a round-trip identifier (GUID) will be sent on every call from the consumer and returned by the service provider (or intermediary) regardless of the final disposition of the request/message.'
required: true
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440000
- name: X-Correlation-ID
in: header
required: true
description: Correlation ID for communication-based multi-hop message correlation
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: The correlation identification as related to business functions and activities. Generally expected to be a GUID.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440000
- name: X-WorkflowCorrelationId
in: header
description: The correlation identification as related to workflow functions and activities. Generally expected to be a GUID.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440000
- name: X-AuthenticationUserCredential
in: header
description: 'Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT). <br>Format is `,type> <token>`. Type default is jwt. <br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>` <br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>`'
schema:
type: string
example: 'jwt:<GeneratedOidcJwt>'
- name: Offset
in: query
description: 'The service offset provided by the API provider <br>Example: `.../resource?Offset=value`'
schema:
type: string
default: '0'
- name: Count
in: query
description: 'The count of records requested <br>Example: `.../resource?Count=value`'
schema:
type: string
default: '0'
requestBody:
content:
application/json:
schema:
allOf:
- allOf:
- allOf:
- allOf:
- type: object
description: Module constraint. Used in other objects.
additionalProperties: false
properties:
Modules:
type: array
description: |-
One or more Synergy modules with which to constraint the results.
If no module is specified, all accessible modules are assumed.
items:
type: string
description: JSON schema for SynergyModules
x-enumFlags: true
x-enumNames:
- Document
- Report
- Check
- All
enum:
- Document
- Report
- Check
- All
- type: object
description: Cabinet constraint. Used in other objects.
additionalProperties: false
properties:
SynergyInstitutionNames:
type: array
description: |-
One or more Synergy institutions with which to constrain the results.
If no institutions are provided, all accessible institutions are assumed.
maxItems: 100
example:
- '01'
- '02'
items:
type: string
maxLength: 20
- type: object
description: Type constraint. Used in other objects.
additionalProperties: false
properties:
CabinetNames:
type: array
description: |-
One or more Synergy cabinets with which to constrain the results.
If no cabinets are provided, all accessible cabinets are assumed.
For the `Report` module, this array can also contain application names.
maxItems: 100
example:
- TESTCAB
- TESTCAB 2
items:
type: string
maxLength: 80
- type: object
description: Index constraint. Used in other objects.
additionalProperties: false
properties:
TypeNames:
type: array
description: |-
One or more document types with which to constrain the results.
If no document types are provded, all accesible document types are assumed.
For the `Report` module, this array can also contain report names.
maxItems: 100
example:
- TESTDOC
items:
type: string
maxLength: 80
- type: object
description: Request body schema for retrieval index search.
additionalProperties: false
responses:
'200':
description: OK<hr> The HTTP 200 OK success status response code indicates that the request has succeeded. <br>A 200 response is cacheable by default.
headers:
X-Request-ID:
description: 'To support communications level correlation due to some responses only having header data, a round-trip identifier (GUID) will be sent on every call from the consumer and returned by the service provider (or intermediary) regardless of the final disposition of the request/message.'
required: true
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440000
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation
schema:
type: string
X-Messages:
description: Indicating messages/faults/errors returned
schema:
type: boolean
default: false
X-BusinessCorrelationId:
description: The correlation identification as related to business functions and activities. Generally expected to be a GUID.
schema:
type: string
X-WorkflowCorrelationId:
description: The correlation identification as related to workflow functions and activities. Generally expected to be a GUID.
schema:
type: string
content:
application/json:
schema:
allOf:
- type: object
description: Response body schema for retrieval index search.
additionalProperties: false
required:
- Indexes
properties:
Indexes:
type: array
description: An array of Synergy index information.
items:
type: object
description: Basic information for a Synergy index.
additionalProperties: false
required:
- IndexName
- IndexType
properties:
IndexName:
type: string
description: |-
The name of the index, as defined in Synergy.
This will be used in the index assignment.
maxLength: 80
minLength: 1
example: ACCOUNT NUMBER
IndexType:
type: string
description: |-
The Synergy data type for the given index.
Note that all index assignments should be provided as
string values, regardless of the underlying type.
maxLength: 20
minLength: 1
example: Numeric
IsMultiValue:
type: boolean
description: |-
If true, this index supports multiple assigned values.
Otherwise, only a single value can be specified for each
index assignment.
example: false
Length:
type: integer
description: The maximum value length for the index.
format: int32
example: 10
Paging:
description: Paging information about the result set.
nullable: true
allOf:
- type: object
description: Paging information.
additionalProperties: false
properties:
NextOffset:
type: string
description: The next offset is the start position of the read pointer for pagination.
nullable: true
Results:
type: integer
description: The number of records sent for pagination.
format: int32
Total:
type: integer
description: The total number of records requested for pagination.
format: int32
nullable: true
- type: object
properties:
MessageStatus:
type: object
description: '`MessageStatus` is required/expected for non 2xx responses.'
properties:
ResponseCode:
description: The code related to message responses
type: string
Description:
description: The description related to the status code in a human readable format
type: string
MessageSource:
description: The source of the response to a message. This would represent the service provider that carry out the business service for the message
type: string
MessageSourceResponse:
type: object
additionalProperties: true
Details:
description: The array of details as related to a fault response code
type: array
items:
type: object
properties:
Code:
description: The code assigned to a providers statuses
type: string
Category:
description: 'ENUM[Error,Fault,Warning,Overridden] The category assigned to a providers message statuses'
type: string
Description:
description: The description related to the status code in a human readable format
type: string
Element:
description: When an Error or Fault occurs this optional element will contain the element which is causing the condition
type: string
ElementValue:
description: When an Error or Fault occurs this optional element will contain the value of the element which is causing the condition
type: string
Location:
description: This is typically the program that generated the status condition
type: string
Logs:
description: The array of logs as related to a response code
type: array
items:
type: object
properties:
Store:
description: The store that retains log entries
type: string
Key:
description: The key related to a log entry specific to the log store
type: string
'400':
description: Bad Request<hr> The server could not understand the request due to invalid syntax.
headers:
X-Request-ID:
description: 'To support communications level correlation due to some responses only having header data, a round-trip identifier (GUID) will be sent on every call from the consumer and returned by the service provider (or intermediary) regardless of the final disposition of the request/message.'
required: true
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440000
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation
schema:
type: string
X-Messages:
description: Indicating messages/faults/errors returned
schema:
type: boolean
default: false
X-BusinessCorrelationId:
description: The correlation identification as related to business functions and activities. Generally expected to be a GUID.
schema:
type: string
X-WorkflowCorrelationId:
description: The correlation identification as related to workflow functions and activities. Generally expected to be a GUID.
schema:
type: string
content:
application/json:
schema:
allOf:
- type: object
properties:
MessageStatus:
type: object
description: '`MessageStatus` is required/expected for non 2xx responses.'
properties:
ResponseCode:
description: The code related to message responses
type: string
Description:
description: The description related to the status code in a human readable format
type: string
MessageSource:
description: The source of the response to a message. This would represent the service provider that carry out the business service for the message
type: string
MessageSourceResponse:
type: object
additionalProperties: true
Details:
description: The array of details as related to a fault response code
type: array
items:
type: object
properties:
Code:
description: The code assigned to a providers statuses
type: string
Category:
description: 'ENUM[Error,Fault,Warning,Overridden] The category assigned to a providers message statuses'
type: string
Description:
description: The description related to the status code in a human readable format
type: string
Element:
description: When an Error or Fault occurs this optional element will contain the element which is causing the condition
type: string
ElementValue:
description: When an Error or Fault occurs this optional element will contain the value of the element which is causing the condition
type: string
Location:
description: This is typically the program that generated the status condition
type: string
Logs:
description: The array of logs as related to a response code
type: array
items:
type: object
properties:
Store:
description: The store that retains log entries
type: string
Key:
description: The key related to a log entry specific to the log store
type: string
'401':
description: 'Unauthorized<hr> Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.'
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'403':
description: 'Forbidden<hr> The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.'
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'404':
description: 'Not Found<hr> The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.'
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'413':
description: Request Too Large<hr> Request entity is larger than limits defined by server.
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'422':
description: Unprocessed<hr> The request was well-formed but was unable to be followed due to semantic errors.
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'500':
description: Generic Internal Error<hr> The server has encountered a situation it doesnt know how to handle.
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
default:
description: Generic Internal Error
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'/v1/institutions/{InstitutionId}/environments/{InstitutionEnvironment}/products/{ProductId}/retrieval/v2.3/items-search':
post:
tags:
- Items Search API
description: |
Search for documents and/or reports. `Search`
This operation can use a *Predefined Search* which is a previously configured
search template in Synergy, or it can be an *Open Search* where all criteria
is provided in this call. Populating the `PredefinedSearchName` property will
trigger the former behavior.
For small searches, it is possible to acquire results in a single operation,
resulting in a return status of `200 OK`.
If the search is taking longer, or producing more results than the pre-configured
limits for a synchronous search, the server will create an asynchronous search operation,
resulting in a return status of `201 Created`.
In the latter case, a `SearchId` will be returned in lieu of results,
and that id must be used in later calls to retrieve the results after the search has completed.
### Pseudo code example of executing a predefined search:
request.json = {
"PredefinedSearchName": "API Demo Invoice Search",
"SortIndexName": "INVOICE NUMBER",
"SearchClauses": [
{ "IndexName": "INVOICE NUMBER", "Operator": "eq", "IndexValue": "1234567" }
]
}
response = request.post('items-search')
if (response.status == 200) {
results = response.json.Results // complete item properties array
}
else if (response.status == 201) {
searchId = response.json.SearchId
// poll on asynchronous search status
...
// fetch results when search is complete
...
}
### Pseudo code example of polling an asynchronous search:
while (not response.json.IsSearchComplete) {
delay()
response = request.get('items-search/{searchId}')
}
total = response.json.TotalResultCount
### Pseudo code example of fetching all results from a completed search:
offset = 0
while (offset < total) {
response = request.get('items-search/{searchId}/results?offset={offset}')
results += response.json.Results // item properties array
offset += response.json.Paging.Results // block count
}
operationId: retrieval-items-search
parameters:
- name: InstitutionId
in: path
description: The identification given to an entity / institution. The URL utilizes this Id for routing. A financial Institution might opt to utilize their routing and transit number
required: true
schema:
type: string
default: '000000000'
- name: InstitutionEnvironment
in: path
description: 'Institution Environment. This code identifies the processing environment for which the message is intended. Generally, the environment will be PRODuction, however, various other environments may exist. TESTing environments are common.'
required: true
schema:
type: string
default: PROD
- name: ProductId
in: path
description: 'Product Identifier. This code identifies the Product for which the message is intended. Generally, the Product Id will be in the form of Vendor-Product. However, various other Product Ids may exist. <br>Example:`jha-synergy`'
required: true
schema:
type: string
example: jha-synergy
- name: X-Request-ID
in: header
description: 'To support communications level correlation due to some responses only having header data, a round-trip identifier (GUID) will be sent on every call from the consumer and returned by the service provider (or intermediary) regardless of the final disposition of the request/message.'
required: true
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440000
- name: X-Correlation-ID
in: header
required: true
description: Correlation ID for communication-based multi-hop message correlation
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: The correlation identification as related to business functions and activities. Generally expected to be a GUID.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440000
- name: X-WorkflowCorrelationId
in: header
description: The correlation identification as related to workflow functions and activities. Generally expected to be a GUID.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440000
- name: X-AuthenticationUserCredential
in: header
description: 'Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT). <br>Format is `,type> <token>`. Type default is jwt. <br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>` <br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>`'
schema:
type: string
example: 'jwt:<GeneratedOidcJwt>'
- name: Offset
in: query
description: 'The service offset provided by the API provider <br>Example: `.../resource?Offset=value`'
schema:
type: string
default: '0'
- name: Count
in: query
description: 'The count of records requested <br>Example: `.../resource?Count=value`'
schema:
type: string
default: '0'
requestBody:
content:
application/json:
schema:
allOf:
- type: object
description: Properties common to both PredefinedSearchJob (v1.0) and OpenSearchJob (v2.1)
additionalProperties: false
required:
- SearchClauses
properties:
SearchClauses:
type: array
description: 'An array of index names, values, and comparison operators by which to constrain the results.'
maxItems: 100
minItems: 1
items:
allOf:
- type: object
description: An index name along with its associated value.
additionalProperties: false
required:
- IndexName
properties:
IndexName:
type: string
description: 'The name of the index, as defined in Synergy.'
maxLength: 80
minLength: 1
example: ACCOUNT NUMBER
IndexValue:
type: string
description: |-
An index value assignment for the document.
If the index is defined as multi-value in Synergy, there may be multiple
index mapping objects with the same index name, but each with different values.
maxLength: 1024
minLength: 0
nullable: true
example: 11223344
- type: object
description: 'Index, value and comparison operator.'
additionalProperties: false
required:
- Operator
properties:
Operator:
description: Comparison operator.
example: eq
allOf:
- type: string
description: Comparison operators for a SearchClause.
x-enumNames:
- eq
- neq
- lt
- lte
- gt
- gte
- in
- con
enum:
- eq
- neq
- lt
- lte
- gt
- gte
- in
- con
OpenVocabularyName:
type: string
description: |-
The optional name of a Synergy Open Vocabulary mapping.
If provided, the mapping will be used to map user defined
cab, type, and index names to Synergy defined names.
maxLength: 80
minLength: 0
nullable: true
example: Custom Vocab
CabinetNames:
type: array
description: |-
A verbatim array of document cabinet and/or report applications.
Only items with an exact cabinet/application match from this array will be searched.
maxItems: 100
nullable: true
items:
type: string
maxLength: 80
ForceAsync:
type: boolean
description: |-
If `True`, this will force the search to be started asynchronously and return a search id
that can be used in subsequent calls to get the search status, search results, and to delete
the search.
If this property is `False` (the default), then Synergy will attempt to return search
results with this response, assuming the search completes quickly with a few number of hits.
In this case, no search id is returned, because no asynchronous search resource is created.
If the search exceeds the time or count thresholds (30 seconds, 200 hits), the
search will become asynchronous, and a search id will be returned, just as if this property
had been set to `True`.
- type: object
description: Open Search Criteria
additionalProperties: false
properties:
PredefinedSearchName:
type: string
description: |-
The search operation can be executed as a "Predefined Search" or as
an "Open Search". If this property is populated, the specified predefined search will
be executed and any properties in this object that are not compatible with a
predefined search will be ignored.
maxLength: 100
minLength: 0
nullable: true
example: Signature Card Search
SortIndexName:
type: string
description: |-
The index used to sort search results.
If this property is not specified, the first index specified in
`SearchClauses` will be used.
maxLength: 80
minLength: 0
nullable: true
example: ACCOUNT NUMBER
Modules:
type: array
description: |-
One or more Synergy modules with which to constraint the results.
If no module is specified, all accessible modules are assumed.
*This property is not used for a predefined search.*
maxItems: 3
nullable: true
items:
type: string
description: JSON schema for SynergyModules
x-enumFlags: true
x-enumNames:
- Document
- Report
- Check
- All
enum:
- Document
- Report
- Check
- All
TypeNames:
type: array
description: |-
A verbatim array of document type and/or report names.
Only items with an exact type/report match from this array will be searched.
*This property is not used for a predefined search.*
maxItems: 100
nullable: true
items:
type: string
maxLength: 80
SynergyInstitutionNames:
type: array
description: |-
Synergy institution names for which to constrain the search.
*This property is not used for a predefined search.*
maxItems: 100
nullable: true
items:
type: string
maxLength: 20
HitListViewName:
type: string
description: |-
Hit list view that will determine index information returned.
*This property is not used for a predefined search.*
maxLength: 80
minLength: 0
nullable: true
ReportDatesFrom:
type: string
description: |-
The inclusive lower bound for report loaded (processed) dates.
If not specified, there is no lower bound date constraint for report searches.
This property will only constrain items in the `Report` module.
*This property is not used for a predefined search.*
format: date-time
nullable: true
example: '2022-05-19'
ReportDatesTo:
type: string
description: |-
The inclusive upper bound for report loaded (processed) dates.
If not specified, there is no upper bound date constraint for report searches.
This property will only constrain items in the `Report` module.
*This property is not used for a predefined search.*
format: date-time
nullable: true
example: '2022-05-19'
responses:
'200':
description: OK<hr> The HTTP 200 OK success status response code indicates that the request has succeeded. <br>A 200 response is cacheable by default.
headers:
X-Request-ID:
description: 'To support communications level correlation due to some responses only having header data, a round-trip identifier (GUID) will be sent on every call from the consumer and returned by the service provider (or intermediary) regardless of the final disposition of the request/message.'
required: true
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440000
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation
schema:
type: string
X-Messages:
description: Indicating messages/faults/errors returned
schema:
type: boolean
default: false
X-BusinessCorrelationId:
description: The correlation identification as related to business functions and activities. Generally expected to be a GUID.
schema:
type: string
X-WorkflowCorrelationId:
description: The correlation identification as related to workflow functions and activities. Generally expected to be a GUID.
schema:
type: string
content:
application/json:
schema:
allOf:
- type: object
description: 'The result of either a StartSearch or GetSearchResults operation. '
additionalProperties: false
required:
- IsSearchComplete
properties:
SearchId:
type: string
description: The search id. This property will only be populated for asynchronous searches.
nullable: true
IsSearchComplete:
type: boolean
description: |-
If `True`, the search has completed, and the `Results` array
contains properties of the matching items.
Results:
type: array
description: An array of search results.
nullable: true
items:
allOf:
- type: object
description: Synergy Classifier properties.
additionalProperties: false
properties:
CabinetName:
type: string
description: |-
A cabinet name under which the document should be classified.
This name must be defined in Synergy and be accessible by your account for storage purposes.
Note that this property is also used by the `Report` module for the Application name.
Example: "LOANS"
maxLength: 80
minLength: 0
example: LOANS
TypeName:
type: string
description: |-
A document type name under which the document should be classified.
This name must be defined in Synergy, must be mapped to the specified cabinet name,
and be accessible by your account for storage purposes.
Note that this property is also used by the `Report` module for the Report name.
maxLength: 80
minLength: 0
example: AUTO APPLICATION
SynergyInstitutionName:
type: string
description: |-
The institution name that the document should be assigned to.
This name must be defined in Synergy and be accessible by your account for storage purposes.
If this property is not provided, Synergy will attempt to determine it, if possible.
maxLength: 20
minLength: 0
nullable: true
example: '01'
- type: object
description: Information common to both item search results an item info inquiry.
additionalProperties: false
required:
- UniqueItemId
- Module
- Indexes
- DocumentDate
- ViewAuthority
- HasCropZone
- Restrictions
properties:
UniqueItemId:
type: string
description: |-
The unique item id for a document or report.
This is a resource id that can be used in other API calls.
minLength: 1
example: 1|1|11d01e33-48b2-e911-b1f2-34f39a77db65|d73da8b1-9dfc-ec11-a292-3cf011584417
Module:
type: string
description: The Synergy module from which the document or report is stored.
minLength: 1
example: Document
Indexes:
type: array
description: The index names and values associated with the document.
maxItems: 100
minItems: 1
items:
type: object
description: An index name along with its associated value.
additionalProperties: false
required:
- IndexName
properties:
IndexName:
type: string
description: 'The name of the index, as defined in Synergy.'
maxLength: 80
minLength: 1
example: ACCOUNT NUMBER
IndexValue:
type: string
description: |-
An index value assignment for the document.
If the index is defined as multi-value in Synergy, there may be multiple
index mapping objects with the same index name, but each with different values.
maxLength: 1024
minLength: 0
nullable: true
example: 11223344
DocumentDate:
type: string
description: 'For documents, this is the UTC creation date/time, for reports, this is the loaded date.'
format: date-time
minLength: 1
ViewAuthority:
type: string
description: |-
This is a string representation of the view authorities required to be able
to view the document.
minLength: 1
HasCropZone:
type: boolean
description: |-
If true, the document has a crop zone defined that can be retrieved in lieu of
the entire document page(s).
Restrictions:
type: string
description: Access restrictions.
minLength: 1
DocumentInfo:
description: This information is only provided with the item belongs to the `Document` or `Check` module.
nullable: true
allOf:
- type: object
description: Info specific to items in the document module.
additionalProperties: false
required:
- DocumentName
- ModificationDate
- CheckReturnReason
properties:
LegacyDocumentId:
type: integer
description: 'Legacy Synergy document id, for informational purposes.'
format: int32
DocumentName:
type: string
description: |-
The document's friendly name. This may be the same as the document's type
name if it was not overridden.
maxLength: 80
minLength: 0
example: Test Document
ModificationDate:
type: string
description: The UTC date and time of the last modification.
format: date-time
minLength: 1
CheckReturnReason:
type: string
description: The reason a check has been returned. Will be "None" if not a returned check.
maxLength: 50
minLength: 0
ReportInfo:
description: This information is only provided when the item belongs to the `Report` module.
nullable: true
allOf:
- type: object
description: Info specific to items in the report module.
additionalProperties: false
required:
- ReportName
- HasStatements
- DateGroup
properties:
ReportName:
type: string
description: |-
The report's friendly name. It is a conglomeration
of the report's primary classification attributes.
maxLength: 128
minLength: 0
example: 0001 - 031398 - DDA - BALANCE REF JOURNAL
HasStatements:
type: boolean
description: 'If true, the report contains statements.'
StatementPageCount:
type: integer
description: Statement page count (only for statement reports).
format: int32
nullable: true
DateGroup:
type: string
description: 'The report date group. This is typically a 6 digit date, but may also contain text.'
minLength: 1
example: 031398
HitPage:
description: Location information (if any) regarding a search result.
nullable: true
allOf:
- type: object
description: JSON Schema HitPageInfo
additionalProperties: false
properties:
PageNumber:
type: integer
description: The page number of the document with the search result.
format: int32
PageCount:
type: integer
description: The number of pages in the search result document.
format: int32
Paging:
description: Paging information about the result set.
nullable: true
allOf:
- type: object
description: Paging information.
additionalProperties: false
properties:
NextOffset:
type: string
description: The next offset is the start position of the read pointer for pagination.
nullable: true
Results:
type: integer
description: The number of records sent for pagination.
format: int32
Total:
type: integer
description: The total number of records requested for pagination.
format: int32
nullable: true
- type: object
properties:
MessageStatus:
type: object
description: '`MessageStatus` is required/expected for non 2xx responses.'
properties:
ResponseCode:
description: The code related to message responses
type: string
Description:
description: The description related to the status code in a human readable format
type: string
MessageSource:
description: The source of the response to a message. This would represent the service provider that carry out the business service for the message
type: string
MessageSourceResponse:
type: object
additionalProperties: true
Details:
description: The array of details as related to a fault response code
type: array
items:
type: object
properties:
Code:
description: The code assigned to a providers statuses
type: string
Category:
description: 'ENUM[Error,Fault,Warning,Overridden] The category assigned to a providers message statuses'
type: string
Description:
description: The description related to the status code in a human readable format
type: string
Element:
description: When an Error or Fault occurs this optional element will contain the element which is causing the condition
type: string
ElementValue:
description: When an Error or Fault occurs this optional element will contain the value of the element which is causing the condition
type: string
Location:
description: This is typically the program that generated the status condition
type: string
Logs:
description: The array of logs as related to a response code
type: array
items:
type: object
properties:
Store:
description: The store that retains log entries
type: string
Key:
description: The key related to a log entry specific to the log store
type: string
'201':
description: Created<hr> The HTTP 201 Created success status response code indicates that the request has succeeded and has led to the creation of a resource.
headers:
X-Request-ID:
description: 'To support communications level correlation due to some responses only having header data, a round-trip identifier (GUID) will be sent on every call from the consumer and returned by the service provider (or intermediary) regardless of the final disposition of the request/message.'
required: true
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440000
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation
schema:
type: string
X-Messages:
description: Indicating messages/faults/errors returned
schema:
type: boolean
default: false
X-BusinessCorrelationId:
description: The correlation identification as related to business functions and activities. Generally expected to be a GUID.
schema:
type: string
X-WorkflowCorrelationId:
description: The correlation identification as related to workflow functions and activities. Generally expected to be a GUID.
schema:
type: string
content:
application/json:
schema:
allOf:
- type: object
description: 'The result of either a StartSearch or GetSearchResults operation. '
additionalProperties: false
required:
- IsSearchComplete
properties:
SearchId:
type: string
description: The search id. This property will only be populated for asynchronous searches.
nullable: true
IsSearchComplete:
type: boolean
description: |-
If `True`, the search has completed, and the `Results` array
contains properties of the matching items.
Results:
type: array
description: An array of search results.
nullable: true
items:
allOf:
- type: object
description: Synergy Classifier properties.
additionalProperties: false
properties:
CabinetName:
type: string
description: |-
A cabinet name under which the document should be classified.
This name must be defined in Synergy and be accessible by your account for storage purposes.
Note that this property is also used by the `Report` module for the Application name.
Example: "LOANS"
maxLength: 80
minLength: 0
example: LOANS
TypeName:
type: string
description: |-
A document type name under which the document should be classified.
This name must be defined in Synergy, must be mapped to the specified cabinet name,
and be accessible by your account for storage purposes.
Note that this property is also used by the `Report` module for the Report name.
maxLength: 80
minLength: 0
example: AUTO APPLICATION
SynergyInstitutionName:
type: string
description: |-
The institution name that the document should be assigned to.
This name must be defined in Synergy and be accessible by your account for storage purposes.
If this property is not provided, Synergy will attempt to determine it, if possible.
maxLength: 20
minLength: 0
nullable: true
example: '01'
- type: object
description: Information common to both item search results an item info inquiry.
additionalProperties: false
required:
- UniqueItemId
- Module
- Indexes
- DocumentDate
- ViewAuthority
- HasCropZone
- Restrictions
properties:
UniqueItemId:
type: string
description: |-
The unique item id for a document or report.
This is a resource id that can be used in other API calls.
minLength: 1
example: 1|1|11d01e33-48b2-e911-b1f2-34f39a77db65|d73da8b1-9dfc-ec11-a292-3cf011584417
Module:
type: string
description: The Synergy module from which the document or report is stored.
minLength: 1
example: Document
Indexes:
type: array
description: The index names and values associated with the document.
maxItems: 100
minItems: 1
items:
type: object
description: An index name along with its associated value.
additionalProperties: false
required:
- IndexName
properties:
IndexName:
type: string
description: 'The name of the index, as defined in Synergy.'
maxLength: 80
minLength: 1
example: ACCOUNT NUMBER
IndexValue:
type: string
description: |-
An index value assignment for the document.
If the index is defined as multi-value in Synergy, there may be multiple
index mapping objects with the same index name, but each with different values.
maxLength: 1024
minLength: 0
nullable: true
example: 11223344
DocumentDate:
type: string
description: 'For documents, this is the UTC creation date/time, for reports, this is the loaded date.'
format: date-time
minLength: 1
ViewAuthority:
type: string
description: |-
This is a string representation of the view authorities required to be able
to view the document.
minLength: 1
HasCropZone:
type: boolean
description: |-
If true, the document has a crop zone defined that can be retrieved in lieu of
the entire document page(s).
Restrictions:
type: string
description: Access restrictions.
minLength: 1
DocumentInfo:
description: This information is only provided with the item belongs to the `Document` or `Check` module.
nullable: true
allOf:
- type: object
description: Info specific to items in the document module.
additionalProperties: false
required:
- DocumentName
- ModificationDate
- CheckReturnReason
properties:
LegacyDocumentId:
type: integer
description: 'Legacy Synergy document id, for informational purposes.'
format: int32
DocumentName:
type: string
description: |-
The document's friendly name. This may be the same as the document's type
name if it was not overridden.
maxLength: 80
minLength: 0
example: Test Document
ModificationDate:
type: string
description: The UTC date and time of the last modification.
format: date-time
minLength: 1
CheckReturnReason:
type: string
description: The reason a check has been returned. Will be "None" if not a returned check.
maxLength: 50
minLength: 0
ReportInfo:
description: This information is only provided when the item belongs to the `Report` module.
nullable: true
allOf:
- type: object
description: Info specific to items in the report module.
additionalProperties: false
required:
- ReportName
- HasStatements
- DateGroup
properties:
ReportName:
type: string
description: |-
The report's friendly name. It is a conglomeration
of the report's primary classification attributes.
maxLength: 128
minLength: 0
example: 0001 - 031398 - DDA - BALANCE REF JOURNAL
HasStatements:
type: boolean
description: 'If true, the report contains statements.'
StatementPageCount:
type: integer
description: Statement page count (only for statement reports).
format: int32
nullable: true
DateGroup:
type: string
description: 'The report date group. This is typically a 6 digit date, but may also contain text.'
minLength: 1
example: 031398
HitPage:
description: Location information (if any) regarding a search result.
nullable: true
allOf:
- type: object
description: JSON Schema HitPageInfo
additionalProperties: false
properties:
PageNumber:
type: integer
description: The page number of the document with the search result.
format: int32
PageCount:
type: integer
description: The number of pages in the search result document.
format: int32
Paging:
description: Paging information about the result set.
nullable: true
allOf:
- type: object
description: Paging information.
additionalProperties: false
properties:
NextOffset:
type: string
description: The next offset is the start position of the read pointer for pagination.
nullable: true
Results:
type: integer
description: The number of records sent for pagination.
format: int32
Total:
type: integer
description: The total number of records requested for pagination.
format: int32
nullable: true
- type: object
properties:
MessageStatus:
type: object
description: '`MessageStatus` is required/expected for non 2xx responses.'
properties:
ResponseCode:
description: The code related to message responses
type: string
Description:
description: The description related to the status code in a human readable format
type: string
MessageSource:
description: The source of the response to a message. This would represent the service provider that carry out the business service for the message
type: string
MessageSourceResponse:
type: object
additionalProperties: true
Details:
description: The array of details as related to a fault response code
type: array
items:
type: object
properties:
Code:
description: The code assigned to a providers statuses
type: string
Category:
description: 'ENUM[Error,Fault,Warning,Overridden] The category assigned to a providers message statuses'
type: string
Description:
description: The description related to the status code in a human readable format
type: string
Element:
description: When an Error or Fault occurs this optional element will contain the element which is causing the condition
type: string
ElementValue:
description: When an Error or Fault occurs this optional element will contain the value of the element which is causing the condition
type: string
Location:
description: This is typically the program that generated the status condition
type: string
Logs:
description: The array of logs as related to a response code
type: array
items:
type: object
properties:
Store:
description: The store that retains log entries
type: string
Key:
description: The key related to a log entry specific to the log store
type: string
'400':
description: Bad Request<hr> The server could not understand the request due to invalid syntax.
headers:
X-Request-ID:
description: 'To support communications level correlation due to some responses only having header data, a round-trip identifier (GUID) will be sent on every call from the consumer and returned by the service provider (or intermediary) regardless of the final disposition of the request/message.'
required: true
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440000
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation
schema:
type: string
X-Messages:
description: Indicating messages/faults/errors returned
schema:
type: boolean
default: false
X-BusinessCorrelationId:
description: The correlation identification as related to business functions and activities. Generally expected to be a GUID.
schema:
type: string
X-WorkflowCorrelationId:
description: The correlation identification as related to workflow functions and activities. Generally expected to be a GUID.
schema:
type: string
content:
application/json:
schema:
allOf:
- type: object
properties:
MessageStatus:
type: object
description: '`MessageStatus` is required/expected for non 2xx responses.'
properties:
ResponseCode:
description: The code related to message responses
type: string
Description:
description: The description related to the status code in a human readable format
type: string
MessageSource:
description: The source of the response to a message. This would represent the service provider that carry out the business service for the message
type: string
MessageSourceResponse:
type: object
additionalProperties: true
Details:
description: The array of details as related to a fault response code
type: array
items:
type: object
properties:
Code:
description: The code assigned to a providers statuses
type: string
Category:
description: 'ENUM[Error,Fault,Warning,Overridden] The category assigned to a providers message statuses'
type: string
Description:
description: The description related to the status code in a human readable format
type: string
Element:
description: When an Error or Fault occurs this optional element will contain the element which is causing the condition
type: string
ElementValue:
description: When an Error or Fault occurs this optional element will contain the value of the element which is causing the condition
type: string
Location:
description: This is typically the program that generated the status condition
type: string
Logs:
description: The array of logs as related to a response code
type: array
items:
type: object
properties:
Store:
description: The store that retains log entries
type: string
Key:
description: The key related to a log entry specific to the log store
type: string
'401':
description: 'Unauthorized<hr> Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.'
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'403':
description: 'Forbidden<hr> The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.'
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'404':
description: 'Not Found<hr> The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.'
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'413':
description: Request Too Large<hr> Request entity is larger than limits defined by server.
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'422':
description: Unprocessed<hr> The request was well-formed but was unable to be followed due to semantic errors.
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'500':
description: Generic Internal Error<hr> The server has encountered a situation it doesnt know how to handle.
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
default:
description: Generic Internal Error
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'/v1/institutions/{InstitutionId}/environments/{InstitutionEnvironment}/products/{ProductId}/retrieval/v2.3/items-search/{SearchId}':
get:
tags:
- Items Search API
description: Retrieve the status of an asynchronous search. `Inquiry`
operationId: retrieval-items-search-inquire
parameters:
- name: InstitutionId
in: path
description: The identification given to an entity / institution. The URL utilizes this Id for routing. A financial Institution might opt to utilize their routing and transit number
required: true
schema:
type: string
default: '000000000'
- name: InstitutionEnvironment
in: path
description: 'Institution Environment. This code identifies the processing environment for which the message is intended. Generally, the environment will be PRODuction, however, various other environments may exist. TESTing environments are common.'
required: true
schema:
type: string
default: PROD
- name: ProductId
in: path
description: 'Product Identifier. This code identifies the Product for which the message is intended. Generally, the Product Id will be in the form of Vendor-Product. However, various other Product Ids may exist. <br>Example:`jha-synergy`'
required: true
schema:
type: string
example: jha-synergy
- name: SearchId
in: path
description: The id of a previously created asynchronous search.
required: true
schema:
type: string
- name: X-Request-ID
in: header
description: 'To support communications level correlation due to some responses only having header data, a round-trip identifier (GUID) will be sent on every call from the consumer and returned by the service provider (or intermediary) regardless of the final disposition of the request/message.'
required: true
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440000
- name: X-Correlation-ID
in: header
required: true
description: Correlation ID for communication-based multi-hop message correlation
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: The correlation identification as related to business functions and activities. Generally expected to be a GUID.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440000
- name: X-WorkflowCorrelationId
in: header
description: The correlation identification as related to workflow functions and activities. Generally expected to be a GUID.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440000
- name: X-AuthenticationUserCredential
in: header
description: 'Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT). <br>Format is `,type> <token>`. Type default is jwt. <br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>` <br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>`'
schema:
type: string
example: 'jwt:<GeneratedOidcJwt>'
responses:
'200':
description: OK<hr> The HTTP 200 OK success status response code indicates that the request has succeeded. <br>A 200 response is cacheable by default.
headers:
X-Request-ID:
description: 'To support communications level correlation due to some responses only having header data, a round-trip identifier (GUID) will be sent on every call from the consumer and returned by the service provider (or intermediary) regardless of the final disposition of the request/message.'
required: true
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440000
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation
schema:
type: string
X-Messages:
description: Indicating messages/faults/errors returned
schema:
type: boolean
default: false
X-BusinessCorrelationId:
description: The correlation identification as related to business functions and activities. Generally expected to be a GUID.
schema:
type: string
X-WorkflowCorrelationId:
description: The correlation identification as related to workflow functions and activities. Generally expected to be a GUID.
schema:
type: string
content:
application/json:
schema:
allOf:
- type: object
description: Result of a search status call.
additionalProperties: false
required:
- SearchId
- IsSearchComplete
- IsCanceled
properties:
SearchId:
type: string
description: 'The id of the asynchronous search, for which this request was issued.'
minLength: 1
IsSearchComplete:
type: boolean
description: |-
If `True`, the search has completed, and the `ResultCount` property
contains the number of matches.
TotalResultCount:
type: integer
description: |-
The number of search matches. This property will not be available
until `IsSearchComplete` is `True`.
format: int32
nullable: true
IsCanceled:
type: boolean
description: The search was canceled by the caller.
- type: object
properties:
MessageStatus:
type: object
description: '`MessageStatus` is required/expected for non 2xx responses.'
properties:
ResponseCode:
description: The code related to message responses
type: string
Description:
description: The description related to the status code in a human readable format
type: string
MessageSource:
description: The source of the response to a message. This would represent the service provider that carry out the business service for the message
type: string
MessageSourceResponse:
type: object
additionalProperties: true
Details:
description: The array of details as related to a fault response code
type: array
items:
type: object
properties:
Code:
description: The code assigned to a providers statuses
type: string
Category:
description: 'ENUM[Error,Fault,Warning,Overridden] The category assigned to a providers message statuses'
type: string
Description:
description: The description related to the status code in a human readable format
type: string
Element:
description: When an Error or Fault occurs this optional element will contain the element which is causing the condition
type: string
ElementValue:
description: When an Error or Fault occurs this optional element will contain the value of the element which is causing the condition
type: string
Location:
description: This is typically the program that generated the status condition
type: string
Logs:
description: The array of logs as related to a response code
type: array
items:
type: object
properties:
Store:
description: The store that retains log entries
type: string
Key:
description: The key related to a log entry specific to the log store
type: string
'304':
description: 'Not Modified <hr> The HTTP 304 Not Modified client redirection response code indicates that there is no need to retransmit the requested resources. It is an implicit redirection to a cached resource. This happens when the request method is safe, like a GET or a HEAD request, or when the request is conditional and uses a If-None-Match or a If-Modified-Since header.'
headers:
X-Request-ID:
description: 'To support communications level correlation due to some responses only having header data, a round-trip identifier (GUID) will be sent on every call from the consumer and returned by the service provider (or intermediary) regardless of the final disposition of the request/message.'
required: true
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440000
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation
schema:
type: string
X-Messages:
description: Indicating messages/faults/errors returned
schema:
type: boolean
default: false
X-BusinessCorrelationId:
description: The correlation identification as related to business functions and activities. Generally expected to be a GUID.
schema:
type: string
X-WorkflowCorrelationId:
description: The correlation identification as related to workflow functions and activities. Generally expected to be a GUID.
schema:
type: string
'400':
description: Bad Request<hr> The server could not understand the request due to invalid syntax.
headers:
X-Request-ID:
description: 'To support communications level correlation due to some responses only having header data, a round-trip identifier (GUID) will be sent on every call from the consumer and returned by the service provider (or intermediary) regardless of the final disposition of the request/message.'
required: true
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440000
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation
schema:
type: string
X-Messages:
description: Indicating messages/faults/errors returned
schema:
type: boolean
default: false
X-BusinessCorrelationId:
description: The correlation identification as related to business functions and activities. Generally expected to be a GUID.
schema:
type: string
X-WorkflowCorrelationId:
description: The correlation identification as related to workflow functions and activities. Generally expected to be a GUID.
schema:
type: string
content:
application/json:
schema:
allOf:
- type: object
properties:
MessageStatus:
type: object
description: '`MessageStatus` is required/expected for non 2xx responses.'
properties:
ResponseCode:
description: The code related to message responses
type: string
Description:
description: The description related to the status code in a human readable format
type: string
MessageSource:
description: The source of the response to a message. This would represent the service provider that carry out the business service for the message
type: string
MessageSourceResponse:
type: object
additionalProperties: true
Details:
description: The array of details as related to a fault response code
type: array
items:
type: object
properties:
Code:
description: The code assigned to a providers statuses
type: string
Category:
description: 'ENUM[Error,Fault,Warning,Overridden] The category assigned to a providers message statuses'
type: string
Description:
description: The description related to the status code in a human readable format
type: string
Element:
description: When an Error or Fault occurs this optional element will contain the element which is causing the condition
type: string
ElementValue:
description: When an Error or Fault occurs this optional element will contain the value of the element which is causing the condition
type: string
Location:
description: This is typically the program that generated the status condition
type: string
Logs:
description: The array of logs as related to a response code
type: array
items:
type: object
properties:
Store:
description: The store that retains log entries
type: string
Key:
description: The key related to a log entry specific to the log store
type: string
'401':
description: 'Unauthorized<hr> Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.'
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'403':
description: 'Forbidden<hr> The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.'
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'404':
description: 'Not Found<hr> The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.'
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'413':
description: Request Too Large<hr> Request entity is larger than limits defined by server.
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'422':
description: Unprocessed<hr> The request was well-formed but was unable to be followed due to semantic errors.
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
'500':
description: Generic Internal Error<hr> The server has encountered a situation it doesnt know how to handle.
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
default:
description: Generic Internal Error
headers:
X-Request-ID:
description: Returned X-Request-ID
schema:
type: string
delete:
tags:
- Items Search API
description: Remove/Cancel an asynchronous search. `Delete`
operationId: retrieval-items-search-delete
parameters:
- name: InstitutionId
in: path
description: The identification given to an entity / institution. The URL utilizes this Id for routing. A financial Institution might opt to utilize their routing and transit number
required: true
schema:
type: string
default: '000000000'
- name: InstitutionEnvironment
in: path
description: 'Institution Environment. This code identifies the processing environment for which the message is intended. Generally, the environment will be PRODuction, however, various other environments may exist. TESTing environments are common.'
required: true
schema:
type: string
default: PROD
- name: ProductId
in: path
description: 'Product Identifier. This code identifies the Product for which the message is intended. Generally, the Product Id will be in the form of Vendor-Product. However, various other Product Ids may exist. <br>Example:`jha-synergy`'
required: true
schema:
type: string
example: jha-synergy
- name: SearchId
in: path
description: The id of a previously created asynchronous search.
required: true
schema:
type: string
- name: X-Request-ID
in: header
description: 'To support communications level correlation due to some responses only having header data, a round-trip identifier (GUID) will be sent on every call from the consumer and returned by the service provider (or intermediary) regardless of the final disposition of the request/message.'
required: true
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440000
- name: X-Correlation-ID
in: header
required: true
description: Correlation ID for communication-based multi-hop message correlation
schema:
type: string
- name: X-BusinessCorrelationId
in: header
description: The correlation identification as related to business functions and activities. Generally expected to be a GUID.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440000
- name: X-WorkflowCorrelationId
in: header
description: The correlation identification as related to workflow functions and activities. Generally expected to be a GUID.
schema:
type: string
example: 123e4567-e89b-12d3-a456-426655440000
- name: X-AuthenticationUserCredential
in: header
description: 'Authentication of the end-user (person at keyboard) Credentials in the form of a JSON Web Token (JWT). <br>Format is `,type> <token>`. Type default is jwt. <br>Example `X-AuthenticationUserCredential: jwt <GeneratedOidcJwt>` <br>Example `X-AuthenticationUserCredential: saml <Generatedsaml>`'
schema:
type: string
example: 'jwt:<GeneratedOidcJwt>'
responses:
'200':
description: OK<hr> The HTTP 200 OK success status response code indicates that the request has succeeded. <br>A 200 response is cacheable by default.
headers:
X-Request-ID:
description: 'To support communications level correlation due to some responses only having header data, a round-trip identifier (GUID) will be sent on every call from the consumer and returned by the service provider (or intermediary) regardless of the final disposition of the request/message.'
required: true
schema:
type: string
format: uuid
example: 123e4567-e89b-12d3-a456-426655440000
X-Correlation-ID:
description: Correlation ID for communication-based multi-hop message correlation
schema:
type: string
X-Messages:
description: Indicating messages/faults/errors returned
schema:
type: boolean
default: false
X-BusinessCorrelationId:
description: The correlation identification as related to business functions and activities. Generally expected to be a GUID.
schema:
type: string
X-WorkflowCorrelationId:
description: The correlation identification as related to workflow functions and activities. Generally expected to be a GUID.
schema:
type: string
content:
application/json:
schema:
allOf:
- type: object
properties:
MessageStatus:
type: object
description: '`MessageStatus` is required/expected for non 2xx responses.'
properties:
ResponseCode:
description: The code related to message responses
type: string
Description:
description: The description related to the status code in a human readable format
type: string
MessageSource:
description: The source of the response to a message. This would represent the service provider that carry out the business service for the message
type: string
MessageSourceResponse:
type: object
additionalProperties: true
Details:
[...]
